Subject: Re: [GSoC] Contributor candidate introduction

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Apr 2022 13:46:05 -0700

Taylor Blau <[email-masked]> writes:

> My thinking is roughly that of the sub-projects listed:
>
>   - investigate replacing EWAH with Roaring+Run
>   - add a "table of contents" to the .bitmap file
>   - append-only bitmap generation
>   - amorphous / larger related projects
>
> ...the first two both require serious (re-)consideration of the .bitmap
> format, and I don't think it's possible to split that up among multiple
> GSoC projects.

Yeah, also I doubt that bitmap stakeholders want to assign such a
centrally important design task to an apprentice, even with a
competent mentor or two.

> The "append-only" project is interesting, but probably not large enough
> for a GSoC student to occupy their time with completely.

I have to preface this with the fact I always am the one that is the
least optimistic about the timeline, but "append-only" somehow
sounds like a project with an interesting enough size and complexity
to me.

Just my two cents.

    (me goes back to preparation of -rc1)